<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='19' and usuario_usu_id='$usu_id'") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
        if($reg['per_visualizar']=="Activo")
        {
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <?php include ('head.php');?>
</head>
<body>
<?php
$inicio="";
$M_inventario="";
$M_contactos="";
$M_compras="";
$M_ventas="active";
$M_pedidos="";
$M_pos="";
$R_reportes="";

$cotizacion="";
$ventas="";
$periodica="";
$clientes="";
$cartera="";
$garantias="";
$abonos="";
$cotizacion_online="active";
$reservas="";

include ('menu.php');
?> 
<div class="main">
    <div class="col-md-2"> 
        <?php include ('include/menu_ventas.php');?>
    </div> <!-- /span6 -->
    <div class="col-md-10"> 
        <div class="widget stacked">
            <div class="widget-content">
               <?php
                if(!empty($_POST['duplicar']))
                {
                    $cot_id=$_POST["cot_id"];
                    $datos=mysqli_query($con,"SELECT * FROM cotizacion WHERE cot_id='$cot_id' and empresa='$empresa'");
                    $cat=mysqli_fetch_array($datos);
                    $cliente_id=$cat['cliente_id'];
                    $cot_cc=$cat['cot_cc'];
                    $cot_nombre=$cat['cot_nombre'];
                    $cot_telefono=$cat['cot_telefono'];
                    $cot_correo=$cat['cot_correo'];
                    $cot_validez=$cat['cot_validez'];

                    $date=date("Y-m-d");
                    $hora=date("H:i:s");
                    $can=mysqli_query($con,"SELECT MAX(cot_id)as cot_id FROM cotizacion ") or die(mysqli_error($con)); 
                    $dato=mysqli_fetch_array($can);
                    $cot_idn=$dato['cot_id']+1;
                    $can=mysqli_query($con,"SELECT MAX(cot_n_cotizacion)as cot_n_cotizacion FROM cotizacion where empresa='$empresa'") or die(mysqli_error($con)); 
                    $dato=mysqli_fetch_array($can);
                    $cot_n_cotizacion=$dato['cot_n_cotizacion']+1;

                    $datos=mysqli_query($con,"INSERT INTO cotizacion (cot_id,cot_n_cotizacion,cliente_id,cot_cc,cot_nombre,cot_telefono,cot_correo,cot_fecha,cot_hora,cot_validez,cot_estado,vendedor,sucursal,empresa) 
                        VALUES ('$cot_idn','$cot_n_cotizacion','$cliente_id','$cot_cc','$cot_nombre','$cot_telefono','$cot_correo','$date','$hora','$cot_validez','1','$usu_id','$sucursal','$empresa')");
                    
                    $can7=mysqli_query($con,"SELECT * FROM cotizacion_detalle where cotizacion_cot_id='$cot_id' and empresa='$empresa'") or die(mysqli_error($con));  
                    while($dato=mysqli_fetch_array($can7))
                    {
                        $cotd_art_id=$dato['cotd_art_id'];
                        $cotd_referencia=$dato['cotd_referencia']; 
                        $cotd_nombre=$dato['cotd_nombre'];           
                        $cotd_cantidad=$dato['cotd_cantidad'];            
                        $cotd_precio=$dato['cotd_precio'];
                        $cotd_iva=$dato['cotd_iva'];
                        $cotd_desc=$dato['cotd_desc'];
                        $fac=$dato['fac'];
                        $cambio=$dato['cambio'];

                        $can8=mysqli_query($con,"INSERT INTO cotizacion_detalle (cotd_art_id,cotd_referencia,cotd_nombre,cotd_cantidad,cotd_iva,cotd_desc,cotd_precio,fac,cambio,empresa,cotizacion_cot_id) 
                             VALUES ('$cotd_art_id','$cotd_referencia','$cotd_nombre','$cotd_cantidad','$cotd_iva','$cotd_desc','$cotd_precio','$fac','$cambio','$empresa','$cot_idn')") or die(mysqli_error($con));  
   
                    }
                     echo '<div class="alert alert-success alert-dismissable">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                            <strong>Cotizacion!</strong> Registrado correctamente.
                            </div>';
                }
                ?>
                <?php //include ('php_cotizaciones/editar_cliente.php'); ?>
                <div class="widget stacked">
                    <div class="widget-content">
                        <section id="buttons">
                            <div class="col-md-6" >
                                <!-- <a class="btn btn-warning" href="#buscar"  data-toggle="modal"><i class="icon-search"></i> Busqueda Avanzada</a>
                                <a class="btn btn-success " href="V_cotizaciones_asesores.php">Cotizaciones de Asesores</a>
                                <a class="btn btn-info" href="V_cotizaciones_registrar.php"><i class="icon-plus"></i> Nuevo</a>-->
                            </div>
                            <div class="col-md-3">
                                <?php if($negocio_neg_id=='7') {?>
                                    <?php if($rol_nombre=="Administrador") { ?>
                                        <section id="intro" >
                                            <select  id="vende" class="form-control" onchange='load(1);'>
                                                <option value="0">VENDEDORES (TODOS)</option>
                                                    <?php
                                                        $datos=mysqli_query($con,"SELECT * FROM usuario WHERE empresa_emp_id='$empresa' and usu_estado='Activo' and eliminado<>'si'") ;
                                                        while( $fila = mysqli_fetch_array( $datos ) )
                                                        {
                                                        echo' <option value="'.$fila['usu_id'].'">'.$fila['usu_nombre'].'</option>';
                                                        }
                                                        ?>
                                            </select>
                                        </section>
                                <?php } else { ?>
                                        <input id="vende" type="hidden" class="form-control input-sm" value="<?php echo $usu_id;?>" >
                            <?php } } else {  ?>
                            <input id="vende" type="hidden" class="form-control input-sm" value="0" >
                            <?php } ?>
                            </div>
                            <div class="col-md-3">
                                <input id="q" type="text" class="form-control" placeholder="Buscador" onkeyup='load(1);' autofocus>
                            </div>
                            
                        </section>
                    </div> <!-- /widget-content -->
                </div> <!-- /widget --> 
                <div class="table-responsive">
                    <center> <span id="loader"></span></center>
                    <div id="resultados"></div><!-- Carga los datos ajax -->
                    <div class='outer_div'></div><!-- Carga los datos ajax -->
                     <?php include ('include/pie_de_pagina.php'); ?>
                </div>
            </div> <!-- /widget-content -->
        </div> <!-- /span6 -->
    </div> <!-- /container -->
</div> <!-- /main -->

<div class="modal fade" id="estado" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-body">
                <div id="form-estado"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->


<script type="text/javascript" src="js/VentanaCentrada.js"></script>
<script>
$(document).ready(function(){
   load(1);
});

function load(page){
var q= $("#q").val();
var vende= $("#vende").val();
$("#loader").fadeIn('slow');
$.ajax({
    url:'php_cotizaciones_online/tabla_cotizaciones.php?action=ajax&page='+page+'&q='+q+'&vende='+vende,
        beforeSend: function(objeto){
        $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
    },
    success:function(data){
        $(".outer_div").html(data).fadeIn('slow');
        $('#loader').html('');
    }
    })
}


function enviar_email(cot_id){
  VentanaCentrada('./libraries/pdf/pdf_correos/email_cotizacion.php?cot_id='+cot_id,'Factura','','800','600','true');
}

$( "#enviar_cotizacion" ).submit(function( event ) {
  $('#guardar_datos').attr("disabled", true);
 var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "./pdf/documentos/mail_cotizacion.php",
      data: parametros,
       beforeSend: function(objeto){
        $(".resultados_ajax").html("Mensaje: Cargando...");
        },
      success: function(datos){
      $(".resultados_ajax").html(datos);
      $('#guardar_datos').attr("disabled", false);
      }
  });
  event.preventDefault();
})
</script>
<?php
    include ('php_caja/caja_abrir.php');
    include ('script.php');
?>
</body>
</html>
<?php
}
else
{
   echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
   echo '<script> setTimeout("history.back(1)", 0); </script>';
}
}
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>